import { AiProviderRoot } from "./aiProviderRoot.js";
import { PromptTemplate } from "./promptTemplates.js";
export declare abstract class AiProvider {
    static isAiAvailable(): boolean;
    static isAiAvailableWithUserPrompt(): Promise<boolean>;
    static getInstance(): AiProviderRoot | null;
    static promptAi(prompt: string, template: PromptTemplate): Promise<AiResponse | null>;
    static buildPrompt(template: PromptTemplate, variables: object): string;
}
export interface AiResponse {
    success: boolean;
    model: string;
    promptResponse?: string;
    forcedTimeout?: boolean;
}
